from pscr_integration.test_lifecycle.deprovision import deprovision
import yaml


def main():
    output_path = "/tmp/output.yml"
    with open(output_path, "r") as f:
        output = yaml.safe_load(f)
    orgs = output.get("org_keys")
    if not orgs:
        print(f"NO ORG KEYS FOUND FOR AFTER TEST DEPROVISIONING. Content: {orgs}")
    sqs_queue = output["env_vars"]["DEPROVISIONING_SQS_QUEUE"]
    for org in orgs:
        print(f"Sending deprovisioning message to {sqs_queue} for org {org}")
        deprovision(sqs_queue, org, org)


if __name__ == "__main__":
    main()
